Last Comment Bug 780915 - Remove gingerbread gecko builds
: Remove gingerbread gecko builds
Status: RESOLVED FIXED
[capacity]
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 741720 743933 784681 788802
  Show dependency treegraph
 
Reported: 2012-08-07 09:08 PDT by John Ford [:jhford]
Modified: 2013-08-12 21:54 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
turn off gingerbread builds (5.50 KB, patch)
2012-09-05 14:53 PDT, John Ford [:jhford]
armenzg: review+
armenzg: checked‑in+
Details | Diff | Splinter Review

Description John Ford [:jhford] 2012-08-07 09:08:04 PDT
We should remove the gingerbread toolchain from the config files.

Chris, I believe this is your call.
Comment 1 Michael Wu [:mwu] 2012-08-21 12:01:23 PDT
From https://bugzilla.mozilla.org/show_bug.cgi?id=741720#c7
> GB builds of b2g are not a Tier I config, r+ on killing them on tb.
Comment 2 John Ford [:jhford] 2012-08-29 10:38:35 PDT
I've hidden these builders on mozilla-central, try and mozilla-inbound until they can be removed.
Comment 3 Ed Morley [:emorley] 2012-09-03 07:21:19 PDT
(In reply to John Ford [:jhford] from comment #2)
> I've hidden these builders on mozilla-central, try and mozilla-inbound until
> they can be removed.

Bug 771653 broke these on trunk, so have also hidden them on:
Fx-team, Ionmonkey, Services-Central, Build-System, Alder, Maple, Pine
Comment 4 John Ford [:jhford] 2012-09-05 14:53:15 PDT
Created attachment 658633 [details] [diff] [review]
turn off gingerbread builds

Here is a patch that stops producing the permanently failing gingerbread builds.  There is no intention to fix these builds.

When running setup-masters -t, I get two masters that fail with:
 12   File "release-firefox-mozilla-release.py", line 27
 13      '14.0.1': {
 14             ^
 15  SyntaxError: invalid syntax

This looks like it's an unrelated issue with a release.
Comment 5 Armen Zambrano [:armenzg] - Engineering productivity 2012-09-05 15:06:05 PDT
Comment on attachment 658633 [details] [diff] [review]
turn off gingerbread builds

I will land it.
It passes after pulling the latest code and running a comparison of which builders get removed.
Comment 6 Armen Zambrano [:armenzg] - Engineering productivity 2012-09-05 15:18:56 PDT
Comment on attachment 658633 [details] [diff] [review]
turn off gingerbread builds

d7ea6b74f19a
Comment 7 Armen Zambrano [:armenzg] - Engineering productivity 2012-09-06 07:44:37 PDT
Live on production masters.
Comment 8 Armen Zambrano [:armenzg] - Engineering productivity 2012-09-06 07:44:58 PDT
RESOLVED FIXED?
Comment 9 Armen Zambrano [:armenzg] - Engineering productivity 2012-09-07 09:46:19 PDT
Correct me if this is not a valid status.

Note You need to log in before you can comment on or make changes to this bug.